Package edu.claflin.finder.algo.clustering

# Class Infomap

java.lang.Object
edu.claflin.finder.algo.Algorithm
edu.claflin.finder.algo.clustering.ClusteringAlgorithm
edu.claflin.finder.algo.clustering.Infomap

All Implemented Interfaces:
  `Processable<Graph,Graph>`

public class Infomap extends ClusteringAlgorithm
InfomapImplementation algorithm implemented using Mapping Higher-Order Network Flows in Memory and Multilayer Networks with InfomapImplementation by Daniel Edler, Ludvig Bohlin and Martin Rosvall. There are somewhat detailed comments and descriptions in: edu.claflin.finder.algo.clustering.struct.louvain_struct.LouvainAlgorithm.java

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class edu.claflin.finder.algo.Algorithm

  `Algorithm.GraphSortOrder`

- ## Field Summary

  ### Fields inherited from class edu.claflin.finder.algo.Algorithm

  `args, PROP_PROGRESS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Infomap(ArgumentsBundle args)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ArrayList<Graph>`
  `process(Graph graph)`
  Performs community detection using the InfoMap algorithm
  `String`
  `toString()`

  ### Methods inherited from class edu.claflin.finder.algo.clustering.ClusteringAlgorithm

  `buildCommunityGraphs, isWeighted`

  ### Methods inherited from class edu.claflin.finder.algo.Algorithm

  `addPropertyChangeListener, cull, getGraphSortOrder, getMinNodeCount, getPartiteNumber, getWeightName, removePropertyChangeListener, setGraphSortOrder, setMinNodeCount, setPartiteNumber, setProgress, setWeightName, zeropad`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Infomap

    public Infomap(ArgumentsBundle args)

- ## Method Details

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### process

    public ArrayList<Graph> process(Graph graph)
    Performs community detection using the InfoMap algorithm
    Parameters:
      `graph` - the Graph on which community detection will be performed
    Returns:
      the list of Graphs representing the clustering with the lowest average bit length measured by the MapEquation